/*
SQLyog Ultimate v8.32 
MySQL - 5.5.20 : Database - ssm-crud
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`ssm-crud` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `ssm-crud`;

/*Table structure for table `t_department` */

DROP TABLE IF EXISTS `t_department`;

CREATE TABLE `t_department` (
  `department_id` int(11) NOT NULL AUTO_INCREMENT,
  `department_name` varchar(255) NOT NULL,
  PRIMARY KEY (`department_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

/*Data for the table `t_department` */

LOCK TABLES `t_department` WRITE;

insert  into `t_department`(`department_id`,`department_name`) values (1,'后勤部'),(2,'IT部'),(3,'销售部'),(4,'测试部'),(5,'学生部'),(6,'管理部'),(7,'测试部'),(8,'测试部');

UNLOCK TABLES;

/*Table structure for table `t_user` */

DROP TABLE IF EXISTS `t_user`;

CREATE TABLE `t_user` (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_name` varchar(20) DEFAULT NULL,
  `user_sex` varchar(20) DEFAULT NULL,
  `user_email` varchar(40) DEFAULT NULL,
  `dep_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`user_id`),
  KEY `FK_t_user` (`dep_id`),
  CONSTRAINT `FK_t_user` FOREIGN KEY (`dep_id`) REFERENCES `t_department` (`department_id`)
) ENGINE=InnoDB AUTO_INCREMENT=204 DEFAULT CHARSET=utf8;

/*Data for the table `t_user` */

LOCK TABLES `t_user` WRITE;

insert  into `t_user`(`user_id`,`user_name`,`user_sex`,`user_email`,`dep_id`) values (1,'ZhangSan','男','test@qq.com',1),(2,'Tom','男','test@qq.com',2),(3,'Lucy     ','女','Lucy@qq.com',3),(104,'f804df330','男','f804df330@qq.com',1),(105,'3858646f1','女','3858646f1@qq.com',1),(106,'1b203db92','男','1b203db92@qq.com',1),(107,'fe3703dc3','女','fe3703dc3@qq.com',1),(108,'569b50754','男','569b50754@qq.com',1),(109,'46988c555','女','46988c555@qq.com',1),(110,'38d9fe876','男','38d9fe876@qq.com',1),(111,'a6a644807','女','a6a644807@qq.com',1),(112,'dfc6a4d38','男','dfc6a4d38@qq.com',1),(113,'37afab369','女','37afab369@qq.com',1),(114,'aa07ad2310','男','aa07ad2310@qq.com',1),(115,'55e3d64911','女','55e3d64911@qq.com',1),(116,'eec714a012','男','eec714a012@qq.com',1),(117,'e34d786d13','女','e34d786d13@qq.com',1),(118,'3cf0e83e14','男','3cf0e83e14@qq.com',1),(119,'64dba91815','女','64dba91815@qq.com',1),(120,'eb2b5e7f16','男','eb2b5e7f16@qq.com',1),(121,'9db1a3ef17','女','9db1a3ef17@qq.com',1),(122,'9bb8886e18','男','9bb8886e18@qq.com',1),(123,'fd7423d219','女','fd7423d219@qq.com',1),(124,'80e2c1a420','男','80e2c1a420@qq.com',1),(125,'ebf0331b21','女','ebf0331b21@qq.com',1),(126,'5b28d4ed22','男','5b28d4ed22@qq.com',1),(127,'895a690323','女','895a690323@qq.com',1),(128,'451baeee24','男','451baeee24@qq.com',1),(129,'7e3dbceb25','女','7e3dbceb25@qq.com',1),(130,'da99684c26','男','da99684c26@qq.com',1),(131,'e5621aba27','女','e5621aba27@qq.com',1),(132,'18db3cd128','男','18db3cd128@qq.com',1),(133,'6598f55229','女','6598f55229@qq.com',1),(134,'864c234430','男','864c234430@qq.com',1),(135,'a0b6e6d531','女','a0b6e6d531@qq.com',1),(136,'4151ccba32','男','4151ccba32@qq.com',1),(137,'bfab787933','女','bfab787933@qq.com',1),(138,'7587639834','男','7587639834@qq.com',1),(139,'6264180435','女','6264180435@qq.com',1),(140,'b15a58d036','男','b15a58d036@qq.com',1),(141,'8a4a096a37','女','8a4a096a37@qq.com',1),(142,'e2311c9038','男','e2311c9038@qq.com',1),(143,'4dc7e94839','女','4dc7e94839@qq.com',1),(144,'6670e2e140','男','6670e2e140@qq.com',1),(145,'1b357ceb41','女','1b357ceb41@qq.com',1),(146,'62ddff3542','男','62ddff3542@qq.com',1),(147,'ff2878af43','女','ff2878af43@qq.com',1),(148,'60e3195a44','男','60e3195a44@qq.com',1),(149,'ad3ef99845','女','ad3ef99845@qq.com',1),(150,'4d3795b446','男','4d3795b446@qq.com',1),(151,'3a024e8147','女','3a024e8147@qq.com',1),(152,'e0b7e5b848','男','e0b7e5b848@qq.com',1),(153,'f042738649','女','f042738649@qq.com',1),(154,'b966946650','男','b966946650@qq.com',1),(155,'80c33a3951','女','80c33a3951@qq.com',1),(156,'425875c652','男','425875c652@qq.com',1),(157,'168c030653','女','168c030653@qq.com',1),(158,'a575d7b554','男','a575d7b554@qq.com',1),(159,'555caea455','女','555caea455@qq.com',1),(160,'8eec0bac56','男','8eec0bac56@qq.com',1),(161,'8506da8f57','女','8506da8f57@qq.com',1),(162,'94d3c58a58','男','94d3c58a58@qq.com',1),(163,'766e6fb159','女','766e6fb159@qq.com',1),(164,'e4c579f360','男','e4c579f360@qq.com',1),(165,'8d13b21661','女','8d13b21661@qq.com',1),(166,'1386493462','男','1386493462@qq.com',1),(167,'b01570f463','女','b01570f463@qq.com',1),(168,'c3f84e3a64','男','c3f84e3a64@qq.com',1),(169,'f7ffea8f65','女','f7ffea8f65@qq.com',1),(170,'788256ad66','男','788256ad66@qq.com',1),(171,'ac5da10b67','女','ac5da10b67@qq.com',1),(172,'d328099268','男','d328099268@qq.com',1),(173,'22fbdaa969','女','22fbdaa969@qq.com',1),(174,'c63eaa0770','男','c63eaa0770@qq.com',1),(175,'a3adcba171','女','a3adcba171@qq.com',1),(176,'a0c901d672','男','a0c901d672@qq.com',1),(177,'b42069f673','女','b42069f673@qq.com',1),(178,'8ac4eee274','男','8ac4eee274@qq.com',1),(179,'49fd3f2875','女','49fd3f2875@qq.com',1),(180,'7c829bef76','男','7c829bef76@qq.com',1),(181,'a7daf84777','女','a7daf84777@qq.com',1),(182,'767984f278','男','767984f278@qq.com',1),(183,'e5510a8e79','女','e5510a8e79@qq.com',1),(184,'51785c6d80','男','51785c6d80@qq.com',1),(185,'e75590b381','女','e75590b381@qq.com',1),(186,'8a45c36182','男','8a45c36182@qq.com',1),(187,'896e204483','女','896e204483@qq.com',1),(188,'399d67f584','男','399d67f584@qq.com',1),(189,'cf00850085','女','cf00850085@qq.com',1),(190,'5fedee1486','男','5fedee1486@qq.com',1),(191,'10e0968787','女','10e0968787@qq.com',1),(192,'5dce201b88','男','5dce201b88@qq.com',1),(193,'c08f83c689','女','c08f83c689@qq.com',1),(194,'81b6e35490','男','81b6e35490@qq.com',1),(195,'40f4874091','女','40f4874091@qq.com',1),(196,'6a19a1d392','男','6a19a1d392@qq.com',1),(197,'303adf5393','女','303adf5393@qq.com',1),(198,'26522d3b94','男','26522d3b94@qq.com',1),(199,'37a2080a95','女','37a2080a95@qq.com',1),(200,'68190f8796','男','68190f8796@qq.com',1),(201,'9b135b7b97','女','9b135b7b97@qq.com',1),(202,'e5d78f1398','男','e5d78f1398@qq.com',1),(203,'f6d11e4599','女','f6d11e4599@qq.com',1);

UNLOCK TABLES;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
